package _VisualDVM.ComponentsServer.BugReportSetting;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.iDBObject;
import _VisualDVM.ComponentsServer.BugReport.BugReport;
import com.sun.org.glassfish.gmbal.Description;
public class BugReportSetting extends iDBObject {
    public String name = "";
    public String value = "";
    @Description("DEFAULT '-1'")
    public int bugreport_id = CommonConstants.Nan;
    public BugReportSetting() {
    }
    public BugReportSetting(BugReport bugReport, String name_in, Object value_in) {
        this(name_in, value_in);
        bugreport_id = bugReport.id;
    }
    public BugReportSetting(String name_in, Object value_in) {
        name = name_in;
        value = (value_in instanceof Boolean) ? ((boolean) value_in ? "1" : "0") : value_in.toString();
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        BugReportSetting src_ = (BugReportSetting) src;
        bugreport_id = src_.bugreport_id;
        name = src_.name;
        value = src_.value;
    }
}
